#version 150 core

uniform mat4 viewProjectionMatrix;
uniform vec3 vertex;
uniform vec3 color;

out vec3 drawColor;

void main() {
  gl_Position = viewProjectionMatrix * vec4( vertex, 1.0f );
  drawColor   = color;
}
