#version 150 core

in vec2 textureCoord;

uniform sampler2D textureAlbedo;
uniform float     alphaTestThreshold;
uniform bool      isSky;

void main() {
  if ( !isSky && texture( textureAlbedo, textureCoord ).a < alphaTestThreshold ) {
    discard;
  }
}
