#version 120

attribute vec3 inVertex;
attribute vec3 inTextureCoord;

uniform mat4 modelViewProjectionMatrix;

varying vec2 textureCoord;

void main() {
  gl_Position  = modelViewProjectionMatrix * vec4( inVertex, 1.0 );
  textureCoord = inTextureCoord.xy;
}
