#version 120

varying vec3 textureCoord;

uniform samplerCube textureSkybox;
uniform vec3  screenGamma;
uniform float exposure;

void main() {
  vec3 mapped  = vec3( 1.0f ) - exp( -textureCube( textureSkybox, textureCoord ).rgb * exposure );
  gl_FragColor = vec4( pow( mapped, screenGamma ), 1.0f );
}
