#version 150 core
#extension GL_ARB_explicit_attrib_location : enable

layout( location = 0 ) in vec3 inVertex;
layout( location = 1 ) in vec3 inTextureCoord;

uniform mat4 modelViewProjectionMatrix;
uniform bool homogeneousReversedDepth;
uniform bool isSky;

out vec2 textureCoord;

void main() {
  vec4 position = modelViewProjectionMatrix * vec4( inVertex, 1.0f );
  // if (isSky && homogeneousReversedDepth) {
  //   position.z = 0;
  // } else if (isSky) {
  //   position.z = position.w;
  // }
  gl_Position = position;
  textureCoord = inTextureCoord.xy;
}
