#version 150 core

layout( points ) in;
layout( points, max_vertices = 1 ) out;

in VERT_OUT {
  vec3 drawColor;

  int  drawBoundingBoxFlag;
  vec4 boundingBox[ 8 ];

  int  drawDirectionFlag;
  vec4 position;
  vec4 direction;

  int  drawPointFlag;
  vec4 point;
}
geom_in[ 1 ];

out vec3 drawColor;

void main() {
  drawColor = geom_in[ 0 ].drawColor;

  if ( geom_in[ 0 ].drawPointFlag == 1 ) {
    gl_Position = geom_in[ 0 ].point;
    EmitVertex();
    EndPrimitive();
  }
}
