#version 150 core
#extension GL_ARB_explicit_attrib_location : enable

layout( location = 0 ) in vec3 inVertex;
layout( location = 1 ) in vec3 inTextureCoord;

uniform mat4 modelViewProjectionMatrix;

out vec2 textureCoord;

void main() {
  gl_Position  = modelViewProjectionMatrix * vec4( inVertex, 1.0f );
  textureCoord = inTextureCoord.xy;
}
