#version 150 core
#extension GL_ARB_explicit_attrib_location : enable

in vec3 textureCoord;

uniform samplerCube textureSkybox;
uniform vec3 skyNormal;

layout( location = 0 ) out vec4 albedoBuffer;
layout( location = 1 ) out vec4 normalBuffer;

void main() {
  albedoBuffer = texture( textureSkybox, textureCoord );
  normalBuffer = vec4( skyNormal, 1.0f );
}
