#version 150 core
#extension GL_ARB_explicit_attrib_location : enable

layout( location = 0 ) in vec3 inVertex;

uniform mat4 viewProjectionMatrix;

out vec3 textureCoord;

void main() {
  gl_Position  = viewProjectionMatrix * vec4( inVertex, 1.0 );
  textureCoord = vec3( inVertex.x, -inVertex.y, -inVertex.z );
}
